summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_lede.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/reproducible_lede.sh')
-rwxr-xr-xbin/reproducible_lede.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/reproducible_lede.sh b/bin/reproducible_lede.sh
index f68b1c0a..05aaa6da 100755
--- a/bin/reproducible_lede.sh
+++ b/bin/reproducible_lede.sh
@@ -16,6 +16,21 @@ common_init "$@"
. /srv/jenkins/bin/reproducible_openwrt_common.sh
set -e
+# this script is called from positions
+# * it's called from the reproducible_wrapper when running on the master
+# * it's called from reproducible_opewnrt_common when doing remote builds
+case $1 in
+ slave)
+ # execute the slave
+ shift
+ $@
+ exit $?
+ ;;
+ master)
+ # master code following
+ ;;
+esac
+
#
# main
#